<%@ Page Title="" Language="C#" MasterPageFile="~/Masterpages/Authenticated.Master" AutoEventWireup="true" CodeBehind="ItemsOrderSummary.aspx.cs" Inherits="GiantSoftware.Web.ProgBalloons.Walgreens.Reporting.ItemsOrderSummary" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="GiantSoftware.Web.ProgBalloons.Walgreens.Resources" %>
<%@ Import Namespace="GiantSoftware.Components.Utility" %>
<%@ Register TagPrefix="uc1" TagName="PagerBar" Src="~/UserControls/PagerBar.ascx" %>
<%@ Register TagPrefix="gs" Namespace="GiantSoftware.Web.Controls" Assembly="GiantSoftware.Web.Controls" %>

<asp:Content ID="headContent" ContentPlaceHolderID="additionalHeadContent" runat="server">
    <script type="text/javascript" src="/Scripts/JQ/jquery-1.7.1.min.js"></script>
    <script>
        $(function() {
            $("#btnClearFilters").click(function() {
                $(this).hide();
                $("#divReport").hide();
                $("#divMessages").hide();
                $("#divGrid").hide();
            });
        });
    </script>
</asp:Content>

<asp:Content ID="mainPageContent" ContentPlaceHolderID="MainContent" runat="server">
    <!--MAIN CONTENT-->
    <h1 class="pageHeader">
        <asp:Literal ID="lblHeader" runat="server"></asp:Literal></h1>
    <hr/>
    <!--FILTER PANEL-->
    <div id="divFilters">
        <asp:Literal ID="litInformation" runat="server"></asp:Literal>
        <p style="margin-top: 5px;">
            <asp:Literal ID="litNote" runat="server" />
        </p>
        <asp:ValidationSummary ID="vsSummary" runat="server" EnableViewState="true" CssClass="redMessage" DisplayMode="List" ForeColor=" "></asp:ValidationSummary>
        <table cellpadding="2" cellspacing="0" border="0" style="margin-top: 15px;">
            <!--ITEM NUMBERS-->
            <tr>
                <td align="right">
                    <asp:CompareValidator ID="cvItemNumbersToAndFrom" runat="server" CssClass="redMessage" Display="Dynamic" ControlToValidate="txtItemNumberBegin" ForeColor=" " Type="Integer" ControlToCompare="txtItemNumberEnd" Operator="LessThanEqual"> </asp:CompareValidator>
                    <asp:CompareValidator ID="cvItemNumberBegin" runat="server" CssClass="redMessage" ForeColor=" " Display="Dynamic" Operator="GreaterThan" Type="Integer" ControlToValidate="txtItemNumberBegin" ValueToCompare="0"> </asp:CompareValidator>
                    <asp:Literal ID="lblBeginItemNumber" runat="server"></asp:Literal>: 
                </td>
                <td>
                    <asp:TextBox ID="txtItemNumberBegin" runat="server" Width="80px" MaxLength="10"></asp:TextBox>
                </td>
                <td align="right">&nbsp;&nbsp;&nbsp;
							<asp:CompareValidator ID="cvItemNumberEnd" runat="server" CssClass="redMessage" ForeColor=" " Display="Static" Operator="GreaterThan" Type="Integer" ControlToValidate="txtItemNumberEnd" ValueToCompare="0"></asp:CompareValidator>
                    <asp:Literal ID="lblEndItemNumber" runat="server"></asp:Literal>: 
                </td>
                <td>
                    <asp:TextBox ID="txtItemNumberEnd" runat="server" Width="80px" MaxLength="10"></asp:TextBox>
                </td>
            </tr>
            <!--/ITEM NUMBERS-->
            <!--DATE RANGES-->
            <tr>
                <td align="right" width="160">
                    <asp:RangeValidator ID="rangeStart" AccessKey=" " runat="server" CssClass="redMessage" Display="static" ControlToValidate="dpStartDate" ForeColor=" " MinimumValue="1/1/2004" Type="Date"> </asp:RangeValidator>
                    <asp:RequiredFieldValidator ID="requiredStart" AccessKey=" " runat="server" CssClass="redMessage" Display="static" ControlToValidate="dpStartDate" ForeColor=" "> </asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="cvStartTo" runat="server" CssClass="redMessage" Display="Dynamic" ControlToValidate="dpStartDate" ForeColor=" " Type="Date" ControlToCompare="dpEndDate" Operator="LessThanEqual"> </asp:CompareValidator>
                    <asp:CompareValidator ID="cvStart" runat="server" CssClass="redMessage" Display="Dynamic" ControlToValidate="dpStartDate" ForeColor=" " Type="Date" ErrorMessage="" Operator="DataTypeCheck"> </asp:CompareValidator>
                    <asp:Literal ID="lblStartDate" runat="server"></asp:Literal>:
                </td>
                <td>
                    <gs:DatePicker ID="dpStartDate" runat="server" ImageUrl="/image/calButton.gif" Width="80px"></gs:DatePicker>
                </td>
                <td align="right">
                    <asp:RangeValidator ID="rangeEnd" AccessKey=" " runat="server" CssClass="redMessage" Display="static" ControlToValidate="dpEndDate" ForeColor=" " MinimumValue="1/1/1753" Type="Date"> </asp:RangeValidator>
                    <asp:CompareValidator ID="cvRange" runat="server" CssClass="redMessage" Display="Dynamic" ControlToValidate="dpEndDate" ForeColor=" " Type="Date" Operator="DataTypeCheck"> </asp:CompareValidator>
                    <asp:Literal ID="lblEndDate" runat="server"></asp:Literal>: 
                </td>
                <td>
                    <gs:DatePicker ID="dpEndDate" runat="server" ImageUrl="/image/calButton.gif" Width="80px"></gs:DatePicker>
                </td>
            </tr>
            <!--/DATE RANGERS-->
            <!--BUTTONS-->
            <tr>
                <td colspan="4" align="center" style="padding-top: 15px">
                    <asp:Button ID="btnApplyFilter" runat="server" CssClass="button" Style="margin-right: 10px"></asp:Button>
                <input type="button" id="btnClearFilters" runat="server" class="button"/>
                </
            </tr>
            <!--/BUTTONS-->
        </table>
    </div>
    <!--/FILTER PANEL-->

    <!--REPORT PANEL-->
    <div id="divReport" align="center" runat="server" visible="false">
        <asp:LinkButton ID="btnPdf" runat="server" CssClass="menuButton" CausesValidation="False"></asp:LinkButton>&nbsp;&nbsp;
	    <asp:LinkButton ID="btnXls" runat="server" CssClass="menuButton" CausesValidation="False"></asp:LinkButton>
    </div>
    <!--/REPORT PANEL-->

    <!--MESSAGES PANEL-->
    <div id="divMessages" runat="server" visible="false" style="margin-top: 10px">
        <asp:Literal ID="lblResultsMessage" runat="server"></asp:Literal>
    </div>
    <!--/MESSAGES PANEL-->

    <!--GRID PANEL-->
    <div id="divGrid" runat="server" visible="false" style="width:99%;">
        <table cellspacing="0" cellpadding="0" border="0">

            <!--GRID CONTROL ROW-->
            <tr>
                <td class="pagerContainer">
                    <div class="pagerContainer">
                        <uc1:PagerBar ID="pagerTop" runat="server" RecordDisplayString="" ShowRecordCount="true" ShowPageBox="true" ShowButtons="true"></uc1:PagerBar>
                    </div>
                </td>
            </tr>
            <!--/GRID CONTROL ROW-->

            <tr>
                <td>
                    <!--ITEM GRID-->
                    <gs:PBIGrid ID="itemsGrid" runat="server">
                        <Columns>
                            <asp:TemplateColumn SortExpression="ItemNumber">
                                <ItemStyle Width="100px" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate><%#((DataRowView)Container.DataItem)["Number"]%></ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn SortExpression="ItemName">
                                <ItemStyle Width="350px" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate>
                                    <a id="linkName" href='javascript:Popper("/Items/ProductDetailsPopUp.aspx?product=<%#((DataRowView)Container.DataItem)["Number"]%>","ProductDetail","width=675,height=475,scrollbars=no,menubar=no");' title="Click now to view more details about this Item" onfocus="if(this.blur)this.blur();"><%#((DataRowView)Container.DataItem)["Name"]%></a>
                                </ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn SortExpression="CasesWaitingForApproval">
                                <ItemStyle Width="45px" HorizontalAlign="right" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate><%#((DataRowView)Container.DataItem)["CasesWaitingForApproval"]%></ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn SortExpression="CasesApprovedNotShipped">
                                <ItemStyle Width="205px" HorizontalAlign="right" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate><%#((DataRowView)Container.DataItem)["CasesApprovedNotShipped"]%>	</ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn SortExpression="CasesShipped">
                                <ItemStyle Width="65px" HorizontalAlign="right" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate><%#((DataRowView)Container.DataItem)["CasesShipped"]%></ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn SortExpression="Total">
                                <ItemStyle Width="75px" HorizontalAlign="right" VerticalAlign="top"></ItemStyle>
                                <ItemTemplate><%#((DataRowView)Container.DataItem)["Total"]%></ItemTemplate>
                            </asp:TemplateColumn>

                            <asp:TemplateColumn>
                                <ItemStyle Width="100px" VerticalAlign="top" HorizontalAlign="center"></ItemStyle>
                                <ItemTemplate>
                                    <%#GetAvailabilityLink((int)((DataRowView)Container.DataItem)["Number"], (byte)((DataRowView)Container.DataItem)["StatusID"])%>
                                </ItemTemplate>
                            </asp:TemplateColumn>

                        </Columns>
                    </gs:PBIGrid>
                    <!--/ITEM GRID-->
                </td>
            </tr>
            <!--LOWER GRID CONTROL ROW-->
            <tr>
                <td  class="pagerContainer">
                    <div  class="pagerContainer">
                    <uc1:PagerBar ID="pagerBottom" runat="server" RecordDisplayString="" ShowRecordCount="true" ShowPageBox="true" ShowButtons="true"></uc1:PagerBar>
                    </div>
                </td>
            </tr>
            <!--/LOWER GRID CONTROL ROW-->

        </table>
    </div>
    <!--/GRID PANEL-->
    <!--/MAIN CONTENT -->
</asp:Content>
